#! /usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _send = require('./send');

var _send2 = _interopRequireDefault(_send);

var _logger = require('./lib/logger');

var _logger2 = _interopRequireDefault(_logger);

var _receive = require('./receive');

var _receive2 = _interopRequireDefault(_receive);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.on('--help', function () {
  console.log('\nExample:');
  console.log('\n    Send files from host A:');
  console.log(`
        > dcp foo.txt bar.txt
  `);
  console.log('    Receive files on host B:');
  console.log(`
        > dcp <generated public key>
  `);
});

_commander2.default.version(_package2.default.version).usage('[options] {files ... | key}').description('Dat Copy - remote file copy, powered by the dat protocol.').option('-r, --recursive', 'recursively copy directories').option('-n, --dry-run', 'show what files would have been copied').option('--skip-prompt', 'automatically download without a prompt').option('-v, --verbose', 'verbose mode - prints extra debugging messages').parse(process.argv);

if (!process.argv.slice(2).length || !_commander2.default.args.length) {
  _commander2.default.outputHelp();
  process.exit(1);
}

if (_commander2.default.verbose) {
  _logger2.default.enableDebug();
}

if (_commander2.default.args[0].length === 64) {
  (0, _receive2.default)(_commander2.default.args[0], _commander2.default);
} else {
  (0, _send2.default)(_commander2.default.args, _commander2.default);
}

process.on('unhandledRejection', (reason, promise) => {
  console.error({ reason, promise });
});