'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function (options = {}) {
  return new Promise((resolve, reject) => {

    _logger2.default.debug('Creating dat archive.');

    (0, _datNode2.default)((0, _storage2.default)('.'), _extends({}, options), (() => {
      var _ref = _asyncToGenerator(function* (err, dat) {
        if (err) {
          _logger2.default.error(err.toString());
          _logger2.default.error(`Failed to initialize dat archive.`);
          process.exit(1);
        }

        dat.trackStats();

        _logger2.default.debug('Connecting to dat network.');

        dat.joinNetwork();

        if (!options.key) {
          return resolve(dat);
        }

        yield waitForUploadPeer(dat);

        resolve(dat);
      });

      return function (_x, _x2) {
        return _ref.apply(this, arguments);
      };
    })());
  });
};

var _datNode = require('dat-node');

var _datNode2 = _interopRequireDefault(_datNode);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _storage = require('./storage');

var _storage2 = _interopRequireDefault(_storage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function waitForUploadPeer(dat) {
  return new Promise(resolve => {
    const abort = setTimeout(() => {
      _logger2.default.error('Failed to connect to any peers.');
      process.exit(1);
    }, 15000);

    const connect = setInterval(() => {
      for (const conn of dat.network.connections) {
        if (conn.writable) {
          _logger2.default.debug('Connected to upload peer.');
          clearInterval(connect);
          clearTimeout(abort);
          resolve(dat);
        }
      }
    }, 300);
  });
}