'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function readdir(path) {
  return new Promise((resolve, reject) => {
    _fs2.default.readdir(path, (err, files) => {
      if (err) {
        return reject(err);
      }
      resolve(files);
    });
  });
}

function lstat(path) {
  return new Promise((resolve, reject) => {
    _fs2.default.lstat(path, (err, stats) => {
      if (err) {
        return reject(err);
      }
      resolve(stats);
    });
  });
}

function mkdir(path) {
  return new Promise((resolve, reject) => {
    _fs2.default.mkdir(path, err => {
      if (err) {
        return reject(err);
      }
      resolve();
    });
  });
}

exports.default = {
  readdir,
  lstat,
  mkdir,
  createReadStream: _fs2.default.createReadStream,
  createWriteStream: _fs2.default.createWriteStream
};