'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = {
  debug: function () {},
  info: function () {
    console.log(...arguments);
  },
  warn: function () {
    console.warn(`dcp ${_chalk2.default.yellow('WARN')}`, ...arguments);
  },
  error: function () {
    console.error(`dcp ${_chalk2.default.red('ERR')}`, ...arguments);
  },
  enableDebug: function () {
    this.debug = function () {
      console.log(`dcp ${_chalk2.default.blue('DEBUG')}`, ...arguments);
    };
  }
};

exports.default = logger;