'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = monitorUploads;

var _cliProgress = require('cli-progress');

var _cliProgress2 = _interopRequireDefault(_cliProgress);

var _formatSize = require('./format-size');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function monitorUploads(dat) {

  const progress = new _cliProgress2.default.Bar({
    format: `Upload: {uploadTotal} ({uploadSpeed}/s)`
  }, _cliProgress2.default.Presets.legacy);

  progress.start(0, 0, {
    peersConnected: 0,
    uploadTotal: (0, _formatSize.formatSize)(0),
    uploadSpeed: (0, _formatSize.formatSize)(0)
  });

  setInterval(() => {
    progress.update(0, {
      uploadTotal: (0, _formatSize.formatSize)(dat.stats.network.uploadTotal),
      uploadSpeed: (0, _formatSize.formatSize)(dat.stats.network.uploadSpeed)
    });
  }, 300);
}