'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _dat = require('./lib/dat');

var _dat2 = _interopRequireDefault(_dat);

var _datCp = require('./lib/dat-cp');

var _datCp2 = _interopRequireDefault(_datCp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
  var _ref = _asyncToGenerator(function* (key, options) {
    const dat = yield (0, _dat2.default)({ key, sparse: true });

    if (!options.skipPrompt) {
      const datCpDryRun = new _datCp2.default(dat, _extends({}, options, { dryRun: true }));

      yield datCpDryRun.download();

      if (options.dryRun || datCpDryRun.files === 0) {
        datCpDryRun.printTotal();
        process.exit();
      }

      const proceed = yield datCpDryRun.downloadPrompt();

      if (!proceed) {
        process.exit();
      }
    }

    const datCpDownload = new _datCp2.default(dat, _extends({}, options));

    yield datCpDownload.download();

    if (options.skipPrompt || datCpDownload.files > 30) {
      datCpDownload.printTotal();
    }

    process.exit();
  });

  function receive(_x, _x2) {
    return _ref.apply(this, arguments);
  }

  return receive;
})();