'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _dat = require('./lib/dat');

var _dat2 = _interopRequireDefault(_dat);

var _datCp = require('./lib/dat-cp');

var _datCp2 = _interopRequireDefault(_datCp);

var _logger = require('./lib/logger');

var _logger2 = _interopRequireDefault(_logger);

var _monitorUpload = require('./lib/monitor-upload');

var _monitorUpload2 = _interopRequireDefault(_monitorUpload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
  var _ref = _asyncToGenerator(function* (paths, options) {
    const dat = yield (0, _dat2.default)();

    const datCp = new _datCp2.default(dat, options);
    yield datCp.upload(paths);

    _logger2.default.info('\nPaste files on another host with:\n');
    _logger2.default.info(_chalk2.default.cyan(`\tdcp ${datCp.dat.key.toString('hex')}\n`));

    (0, _monitorUpload2.default)(datCp.dat);
  });

  function send(_x, _x2) {
    return _ref.apply(this, arguments);
  }

  return send;
})();